CharVector (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.compound.hyphenation.CharVector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.compound.hyphenation
Class CharVector

    java.lang.Object
      org.apache.lucene.analysis.compound.hyphenation.CharVector

All Implemented Interfaces:
  Serializable, Cloneable

    public class CharVector

extends Object
implements Cloneable, Serializable

This class implements a simple char vector with access to the underlying array. This class has been taken from the Apache FOP project (http://xmlgraphics.apache.org/fop/). They have been slightly modified.

See Also:
  Serialized Form

Constructor Summary
`CharVector()`
`CharVector(char[] a)`
`CharVector(char[] a, int capacity)`
`CharVector(int capacity)`

Method Summary
`int` | `alloc(int size)`
`int` | `capacity()` returns current capacity of array
`void` | `clear()` Reset Vector but don't resize or clear elements
`Object` | `clone()`
`char` | `get(int index)`
`char[]` | `getArray()`
`int` | `length()` return number of items in array
`void` | `put(int index, char val)`
`void` | `trimToSize()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharVector

    public CharVector()

### CharVector

    public CharVector(int capacity)

### CharVector

    public CharVector(char[] a)

### CharVector

    public CharVector(char[] a,
                      int capacity)

Method Detail

### clear

    public void clear()

  Reset Vector but don't resize or clear elements

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### getArray

    public char[] getArray()

### length

    public int length()

  return number of items in array

### capacity

    public int capacity()

  returns current capacity of array

### put

    public void put(int index,
                    char val)

### get

    public char get(int index)

### alloc

    public int alloc(int size)

### trimToSize

    public void trimToSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.